Description:

This is my first plasmoid.
Thanks for all your comments and ideas.

Developed and tested on KDE 4.2.1 with Qt 4.5

IMPORTANT: this is early release it's not stable yet and not have full functionality.

I need help with own theme for 0.6+:
http://img257.imageshack.us/img257/5792/stasks.png
Thanks for all mockups.

[sorry]
Sorry for the lack of any update. I will come back to work this summer ;)
Today I need to pass exam and done my other project.
Last changelog:

8 years ago

0.5.1 (22.03.2009)
- switch windows on mouse wheel move
- block tooltips on contextMenuEvent
- update tooltip on mouse release (icon)

0.5 (21.03.2009)
- grouping
- new tooltips (needs desktops effects -> taskbar thumbnail)

0.4 (09.03.2009)
- keep expanded: from the current desktop
- keep expanded: all
- polishing
- correct item width when the stasks is full
- better item expanding (no more crazy expanding:P ?)
- initial light effects (for startup and attention -> will be better)
- some optimizations

keos

7 years ago

Hi,

I've tried to install but i have the following error. Is there a solution for this ?

(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 176924 files and directories currently installed.)
Unpacking plasmoid-stasks (from .../plasmoid-stasks_0.5.1~jaunty~ppa2_amd64.deb) ...
dpkg: error processing /home/keos/Downloads/plasmoid-stasks_0.5.1~jaunty~ppa2_amd64.deb (--install):
trying to overwrite '/usr/lib/kde4/plasma_applet_stasks.so', which is also in package plasma-widget-stasks 0:0.5.1~jaunty~ppa1
Errors were encountered while processing:
/home/keos/Downloads/plasmoid-stasks_0.5.1~jaunty~ppa2_amd64.deb

Report

nicollivier

7 years ago

Hi.

There's a problem with the Mandriva's rpm?!
I can't have it...

Thanks a lot

Nico

Report

KDesk

7 years ago

I think STasks is dead, no update in almost one year.

I use Smooth Tasks, it is better, works with KDE 4.4, is in development, the latest update was 3 days ago.

http://kde-look.org/content/show.php/Smooth+Tasks?content=101586

Report

Robbi1987

7 years ago

if i use kde 4.4.0 with stask on my panel the plasma-desktop crashes ..if i use the normal window list everything is fine? is this a bug in kde 4.4 or from stasks

i like these i hope it will not die

Report

larch

7 years ago

Somebody had said that Stasks will come back near KDE 4.4 release. KDE SC 4.4 RC1 is out there, but no new Stasks release :(

Report

Malaz

7 years ago

Check out SmoothTasks, a branch of this. It's under active development.

If the author ever comes back: great plasmoid, I love how configurable it is compared to default plasma task viewer. Thanks!

Report

ressletr

7 years ago

This would truly be a shame, I have sincerely enjoyed stasks. I may go back to KDE 4.3 here because of it. It doesn't work with KDE 4.4. I don't like the old toolbar that looks like Vista. Please developers release a version that works with KDE 4.4, please.

Report

extra

7 years ago

Hello!
Somebody Alex P from the site http://welinux.ru has collected package for Debian x86_64.It is to the address http://rapidshare.com/files/331806190/plasma-stasks_0.5.1-1_amd64.deb.html.Please, add the link to it in the description of plasmoid =)
Excuse, for my bad English.

Report

farhadhf

7 years ago

Hi, Thanks for this great widget :)
I've been using stasks in kdemod on chakra linux, but after switching from kdemod to kde trunk, the kdemod package doesn't work , so i tried to compile stasks , but make command fails and gives me this error:


-- Found Qt-Version 4.6.0 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
-- Phonon Version: 4.3.80
-- Found KDE 4.4 include dir: /home/farhad/kde/include
-- Found KDE 4.4 library dir: /home/farhad/kde/lib
-- Found the KDE4 kconfig_compiler preprocessor: /home/farhad/kde/bin/kconfig_compiler
-- Found automoc4: /home/farhad/kde/bin/automoc4
-- Configuring done
-- Generating done
-- Build files have been written to: /home/farhad/kde/build/stasks-0.5.1



[ 0%] Built target plasma_applet_stasks_automoc
[ 9%] Building CXX object applet/CMakeFiles/plasma_applet_stasks.dir/stasks_applet.o
[ 18%] Building CXX object applet/CMakeFiles/plasma_applet_stasks.dir/stasks_item.o
In file included from /home/farhad/kde/src/stasks-0.5.1/applet/stasks_applet.cpp:617:
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc: In member function ‘virtual int STasksApplet::qt_metacall(QMetaObject::Call, int, void**)’:
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:98: error: expected type-specifier before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:98: error: expected ‘>’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:98: error: expected ‘(’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:98: error: expected primary-expression before ‘)’ token
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:98: error: ‘AbstractItemPtr’ was not declared in this scope
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:102: error: expected type-specifier before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:102: error: expected ‘>’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:102: error: expected ‘(’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:102: error: expected primary-expression before ‘)’ token
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:103: error: expected type-specifier before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:103: error: expected ‘>’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:103: error: expected ‘(’ before ‘AbstractItemPtr’
/home/farhad/kde/build/stasks-0.5.1/applet/stasks_applet.moc:103: error: expected primary-expression before ‘)’ token
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp: In destructor ‘virtual STasksItem::~STasksItem()’:
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:117: warning: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:88)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:117: warning: ‘void Plasma::Animator::stopCustomAnimation(int)’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:165)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp: In member function ‘void STasksItem::expandTask(int, bool)’:
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:617: warning: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:88)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:617: warning: ‘void Plasma::Animator::stopCustomAnimation(int)’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:165)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:620: warning: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:88)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:620: warning: ‘int Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:154)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:622: warning: ‘static Plasma::Animator* Plasma::Animator::self()’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:88)
/home/farhad/kde/src/stasks-0.5.1/applet/stasks_item.cpp:622: warning: ‘int Plasma::Animator::customAnimation(int, int, Plasma::Animator::CurveShape, QObject*, const char*)’ is deprecated (declared at /home/farhad/kde/include/plasma/animator.h:154)
make[2]: *** [applet/CMakeFiles/plasma_applet_stasks.dir/stasks_applet.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [applet/CMakeFiles/plasma_applet_stasks.dir/all] Error 2
make: *** [all] Error 2
[farhad@chakra-desktop stasks-0.5.1]$

Report

sayakb

8 years ago

Any chances that a deb will be available for karmic?

Report

stdin

8 years ago

It's in karmic/universe now as package plasma-widget-stasks

Report

sayakb

8 years ago

Yep, have that installed.
Sorry for not having this thread updated.

Report

StarkRG

8 years ago

First off I'd like to say this is an awesome plasmoid with some great features and options (the ability to choose to collapse all or just other desktops' tasks into icons = brilliant)

However there is apparently a bug which causes plasma to crash and not come back up.
https://bugs.kde.org/show_bug.cgi?id=215934

Report

JThundley

8 years ago

What is it? What does it do?

Report

hoppimike

8 years ago

Yeah this is really cool, but Smooth Tasks does seem to be the "new" STasks! :)

Report

HobbyBlobby

8 years ago

Please have a look at:
https://bugs.kde.org/show_bug.cgi?id=207812

I can reproduce this bug with openSuSE 11.2 and KDE 4.3.75. (plasmoid-stasks-0.5.1-10.11.i586)

Report

aTanCS

8 years ago

Hi, add please an option to expand task when windows caption is changed when inactive, it is good eg when a communication program changes windows caption to show that there's a new message. It also could disable expanding after becoming active.

Report

faelbluhm

8 years ago

Any chance of getting the Staks may be a launch? Like Staks/Launcher?

Report

gravy

8 years ago

https://bugs.kde.org/show_bug.cgi?id=207902
You can vote for it, if you want or write it, if you are so good.

Report

gp42

8 years ago

I think STask must be part of KDE 4.

It's a great application and emprove the user experience.

Report

neversfelde

8 years ago

We adopted the patch from ZaWertun and stasks is now working again in Kubuntu Karmic. Thanks for publishing this solution.

A Jaunty package working with 4.3 is in my PPA:
https://edge.launchpad.net/~neversfelde/+archive/ppa

Report

mutlu

8 years ago

Stasks is dead. Long live Smooth Tasks...

The Arch Linux PKGBUILD packages a for of stasks, called Smooth Tasks. You can follow its development on http://bitbucket.org/panzi/smooth-tasks/overview/ or get it from kde-look: http://www.kde-look.org/content/show.php/STasks+patched?content=101586

Report

mutlu

8 years ago

I meant "fork" (not "for"), of course.

Report

C

mbaszczewski

8 years ago

I never told anyone that STasks is die. Thank you for your work. STasks is coming soon ;)

Report

mutlu

8 years ago

Just to correct a misperception: I am not the developer of Smooth Tasks. I only wanted to point out why there were newer packages on Arch Linux.

I am happy to hear that you will continue your work. This is a great plasmoid. Maybe you should consider working together with the developer of Smooth Tasks, since he has already fixed bugs, added features and refactored the code a bit. See the links I posted above for the entry on kde-look and the git repository.

Thanks again, keep it up!

Report

8 years ago

0.5.1 (22.03.2009)
- switch windows on mouse wheel move
- block tooltips on contextMenuEvent
- update tooltip on mouse release (icon)

0.5 (21.03.2009)
- grouping
- new tooltips (needs desktops effects -> taskbar thumbnail)

0.4 (09.03.2009)
- keep expanded: from the current desktop
- keep expanded: all
- polishing
- correct item width when the stasks is full
- better item expanding (no more crazy expanding:P ?)
- initial light effects (for startup and attention -> will be better)
- some optimizations

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.5.1
updated Mar 21 2009
added Feb 20 2009
downloads today
0
page views today 12